OpenCV: cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr > Struct Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Device layer

`#include "remap.hpp"`

Inheritance diagram for cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >:

## Public Types
typedef PtrTraits< MapXPtr >::index_type | index_type
typedef PtrTraits< SrcPtr >::value_type | value_type

## Public Member Functions
__device__ __forceinline__ PtrTraits< SrcPtr >::value_type | operator() (typename PtrTraits< MapXPtr >::index_type y, typename PtrTraits< MapXPtr >::index_type x) const

## Public Attributes
MapXPtr | mapx
MapYPtr | mapy
SrcPtr | src

## Member Typedef Documentation

## ◆ index_type

template<class SrcPtr , class MapXPtr , class MapYPtr >

typedef PtrTraits<MapXPtr>::index_type cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::index_type

## ◆ value_type

template<class SrcPtr , class MapXPtr , class MapYPtr >

typedef PtrTraits<SrcPtr>::value_type cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::value_type

## Member Function Documentation

## ◆ operator()()

template<class SrcPtr , class MapXPtr , class MapYPtr >

__device__ __forceinline__ PtrTraits<SrcPtr>::value_type cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::operator() | ( | typename PtrTraits< MapXPtr >::index_type | y,
|  | typename PtrTraits< MapXPtr >::index_type | x
| ) |  | const
| inline

## Member Data Documentation

## ◆ mapx

template<class SrcPtr , class MapXPtr , class MapYPtr >

MapXPtr cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::mapx

## ◆ mapy

template<class SrcPtr , class MapXPtr , class MapYPtr >

MapYPtr cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::mapy

## ◆ src

template<class SrcPtr , class MapXPtr , class MapYPtr >

SrcPtr cv::cudev::RemapPtr2< SrcPtr, MapXPtr, MapYPtr >::src

The documentation for this struct was generated from the following file:

- cudev/include/opencv2/cudev/ptr2d/remap.hpp